Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Interface PropertyConstants

public interface PropertyConstants

Defines constants used by various BC4J properties.

The property names are defined in PropertyMetadata<\em>

Since:
  JDeveloper 3.1

Field Summary
`static java.lang.String` | `AM_RELEASE_DEFAULT`
`static java.lang.String` | `AM_RELEASE_MODE`
`static java.lang.String` | `AM_RELEASE_RESERVED`
`static java.lang.String` | `AM_RELEASE_STATEFUL`
`static java.lang.String` | `AM_RELEASE_STATELESS`
`static int` | `DEFAULT_MAX_ACTIVE_NODES`
`static int` | `DEFAULT_MAX_ROWS_PER_NODE`
`static java.lang.String` | `DO_CONNECTION_POOLING_DEFAULT`
`static java.lang.String` | `DO_FAILOVER_DEFAULT`
`static java.lang.String` | `DYNAMIC_PKG_NAME`
`static java.lang.String` | `EJB_TXN_TYPE_GLOBAL`
`static java.lang.String` | `EJB_TXN_TYPE_LOCAL`
`static java.lang.String` | `ENV_DBTRANSACTION_FACTORY_CLASS`
`static java.lang.String` | `ENV_DEFAULT_COUNTRY`
`static java.lang.String` | `ENV_DEFAULT_LANGUAGE`
`static java.lang.String` | `ENV_DO_CONNECTION_POOLING`
`static java.lang.String` | `ENV_DO_FAILOVER`
`static java.lang.String` | `ENV_EJB_TRANSACTION_TIMEOUT`
`static java.lang.String` | `ENV_EJB_TRANSACTION_TIMEOUT_DEFAULT`
`static java.lang.String` | `ENV_EJB_TXN_TYPE`
`static java.lang.String` | `ENV_EJB_TXN_TYPE_DEFAULT`
`static java.lang.String` | `ENV_ENTITYROWSET_INCONSISTENT`
`static java.lang.String` | `ENV_ENTITYROWSET_MODE`
`static java.lang.String` | `ENV_ENTITYROWSET_NEW_AND_MODIFIED`
`static java.lang.String` | `ENV_FETCH_ALL`
`static java.lang.String` | `ENV_FETCH_AS_NEEDED`
`static java.lang.String` | `ENV_FETCH_DEFAULT`
`static java.lang.String` | `ENV_FETCH_MODE`
`static java.lang.String` | `ENV_INIT_JDBC_POOL_SIZE`
`static java.lang.String` | `ENV_JBO_SCHEMA`
`static java.lang.String` | `ENV_JDBC_POOL_REQUEST_TIMEOUT`
`static java.lang.String` | `ENV_MAX_CURSORS`
`static java.lang.String` | `ENV_MAX_JDBC_POOL_SIZE`
`static java.lang.String` | `ENV_MAX_POOL_COOKIE_AGE`
`static java.lang.String` | `ENV_PASSIVATION_STORE`
`static java.lang.String` | `ENV_PCOLL_MGR`
`static java.lang.String` | `ENV_PERS_MAX_ACTIVE_NODES`
`static java.lang.String` | `ENV_PERS_MAX_ROWS_PER_NODE`
`static java.lang.String` | `ENV_POOL_CLASS_NAME`
`static java.lang.String` | `ENV_POOL_RECYCLE_THRESHOLD`
`static java.lang.String` | `ENV_SESSION_CLASS`
`static java.lang.String` | `ENV_USE_PERS_COLL`
`static java.lang.String` | `FALSE`
`static java.lang.String` | `GLOBAL_SUBSTITUTION`
`static java.lang.String` | `HANDLE_NAME`
`static java.lang.String` | `INIT_JDBC_POOL_SIZE_DEFAULT`
`static java.lang.String` | `INTERNAL_CONNECTION_PARAMS`
`static java.lang.String` | `IS_LAZY_LOADING_TRUE`
`static java.lang.String` | `IS_STATELESS_RUNTIME`
`static java.lang.String` | `JAVA`
`static java.lang.String` | `JBO_POOL_MANAGER`
`static java.lang.String` | `JBO_PROJECT` global substitution project name
`static java.lang.String` | `JDBC_MARKER`
`static java.lang.String` | `JDBC_POOL_REQUEST_TIMEOUT_DEFAULT`
`static java.lang.String` | `MAX_CURSORS_DEFAULT`
`static java.lang.String` | `MAX_JDBC_POOL_SIZE_DEFAULT`
`static java.lang.String` | `MAX_POOL_COOKIE_AGE_DEFAULT`
`static java.lang.String` | `MOM_CONTEXT_FACTORY`
`static java.lang.String` | `MOM_CONTEXT_FACTORY_DEFAULT`
`static java.lang.String` | `MOM_INITIAL_CONTEXT`
`static java.lang.String` | `MOM_INITIAL_CONTEXT_DEFAULT`
`static java.lang.String` | `OLITE`
`static java.lang.String` | `ORACLE`
`static java.lang.String` | `PASSIVATION_STORE_DATABASE`
`static java.lang.String` | `PASSIVATION_STORE_DEFAULT`
`static java.lang.String` | `PASSIVATION_STORE_FILE`
`static java.lang.String` | `PASSIVATION_STORE_NULL`
`static java.lang.String` | `PERSIST_MGR_NONE`
`static java.lang.String` | `PERSIST_MGR_ORACLE`
`static java.lang.String` | `PN_JBO_JDBC_TRACE`
`static java.lang.String` | `PN_POOL_MANAGER`
`static java.lang.String` | `PN_SQLBUILDERIMPL`
`static java.lang.String` | `PN_SQLTYPEMAP`
`static java.lang.String` | `POOL_RECYCLE_THRESHOLD_DEFAULT`
`static java.lang.String` | `PV_IMPL_CREATE_METHODNAME`
`static java.lang.String` | `SHARED_DATA_HANDLE` create Shared data handle?
`static java.lang.String` | `SQL92`
`static java.lang.String` | `TEMPORARY_FILES_HOME`
`static java.lang.String` | `TRUE`
`static java.lang.String` | `USE_DEFINE_COLUMN_LENGTH`
`static java.lang.String` | `XML_CONTEXT`

Field Detail

### TRUE

    public static final java.lang.String TRUE

### FALSE

    public static final java.lang.String FALSE

### ENV_DEFAULT_LANGUAGE

    public static final java.lang.String ENV_DEFAULT_LANGUAGE

### ENV_DEFAULT_COUNTRY

    public static final java.lang.String ENV_DEFAULT_COUNTRY

### ENV_USE_PERS_COLL

    public static final java.lang.String ENV_USE_PERS_COLL

### ENV_PERS_MAX_ROWS_PER_NODE

    public static final java.lang.String ENV_PERS_MAX_ROWS_PER_NODE

### DEFAULT_MAX_ROWS_PER_NODE

    public static final int DEFAULT_MAX_ROWS_PER_NODE

### DEFAULT_MAX_ACTIVE_NODES

    public static final int DEFAULT_MAX_ACTIVE_NODES

### ENV_PERS_MAX_ACTIVE_NODES

    public static final java.lang.String ENV_PERS_MAX_ACTIVE_NODES

### ENV_PCOLL_MGR

    public static final java.lang.String ENV_PCOLL_MGR

### ENV_FETCH_MODE

    public static final java.lang.String ENV_FETCH_MODE

### ENV_FETCH_AS_NEEDED

    public static final java.lang.String ENV_FETCH_AS_NEEDED

### ENV_FETCH_ALL

    public static final java.lang.String ENV_FETCH_ALL

### ENV_FETCH_DEFAULT

    public static final java.lang.String ENV_FETCH_DEFAULT

### ENV_ENTITYROWSET_MODE

    public static final java.lang.String ENV_ENTITYROWSET_MODE

### ENV_ENTITYROWSET_INCONSISTENT

    public static final java.lang.String ENV_ENTITYROWSET_INCONSISTENT

### ENV_ENTITYROWSET_NEW_AND_MODIFIED

    public static final java.lang.String ENV_ENTITYROWSET_NEW_AND_MODIFIED

### ENV_MAX_CURSORS

    public static final java.lang.String ENV_MAX_CURSORS

### MAX_CURSORS_DEFAULT

    public static final java.lang.String MAX_CURSORS_DEFAULT

### ENV_MAX_JDBC_POOL_SIZE

    public static final java.lang.String ENV_MAX_JDBC_POOL_SIZE

### MAX_JDBC_POOL_SIZE_DEFAULT

    public static final java.lang.String MAX_JDBC_POOL_SIZE_DEFAULT

### ENV_INIT_JDBC_POOL_SIZE

    public static final java.lang.String ENV_INIT_JDBC_POOL_SIZE

### INIT_JDBC_POOL_SIZE_DEFAULT

    public static final java.lang.String INIT_JDBC_POOL_SIZE_DEFAULT

### ENV_JDBC_POOL_REQUEST_TIMEOUT

    public static final java.lang.String ENV_JDBC_POOL_REQUEST_TIMEOUT

### JDBC_POOL_REQUEST_TIMEOUT_DEFAULT

    public static final java.lang.String JDBC_POOL_REQUEST_TIMEOUT_DEFAULT

### PN_POOL_MANAGER

    public static final java.lang.String PN_POOL_MANAGER

### JBO_POOL_MANAGER

    public static final java.lang.String JBO_POOL_MANAGER

### ENV_DO_FAILOVER

    public static final java.lang.String ENV_DO_FAILOVER

### DO_FAILOVER_DEFAULT

    public static final java.lang.String DO_FAILOVER_DEFAULT

### ENV_POOL_RECYCLE_THRESHOLD

    public static final java.lang.String ENV_POOL_RECYCLE_THRESHOLD

### POOL_RECYCLE_THRESHOLD_DEFAULT

    public static final java.lang.String POOL_RECYCLE_THRESHOLD_DEFAULT

### ENV_DO_CONNECTION_POOLING

    public static final java.lang.String ENV_DO_CONNECTION_POOLING

### DO_CONNECTION_POOLING_DEFAULT

    public static final java.lang.String DO_CONNECTION_POOLING_DEFAULT

### ENV_PASSIVATION_STORE

    public static final java.lang.String ENV_PASSIVATION_STORE

### PASSIVATION_STORE_DATABASE

    public static final java.lang.String PASSIVATION_STORE_DATABASE

### PASSIVATION_STORE_FILE

    public static final java.lang.String PASSIVATION_STORE_FILE

### PASSIVATION_STORE_NULL

    public static final java.lang.String PASSIVATION_STORE_NULL

### PASSIVATION_STORE_DEFAULT

    public static final java.lang.String PASSIVATION_STORE_DEFAULT

### AM_RELEASE_MODE

    public static final java.lang.String AM_RELEASE_MODE

### AM_RELEASE_RESERVED

    public static final java.lang.String AM_RELEASE_RESERVED

### AM_RELEASE_STATEFUL

    public static final java.lang.String AM_RELEASE_STATEFUL

### AM_RELEASE_STATELESS

    public static final java.lang.String AM_RELEASE_STATELESS

### AM_RELEASE_DEFAULT

    public static final java.lang.String AM_RELEASE_DEFAULT

### ENV_MAX_POOL_COOKIE_AGE

    public static final java.lang.String ENV_MAX_POOL_COOKIE_AGE

### MAX_POOL_COOKIE_AGE_DEFAULT

    public static final java.lang.String MAX_POOL_COOKIE_AGE_DEFAULT

### ENV_POOL_CLASS_NAME

    public static final java.lang.String ENV_POOL_CLASS_NAME

### IS_STATELESS_RUNTIME

    public static final java.lang.String IS_STATELESS_RUNTIME

### PN_SQLTYPEMAP

    public static final java.lang.String PN_SQLTYPEMAP

### PN_SQLBUILDERIMPL

    public static final java.lang.String PN_SQLBUILDERIMPL

### ORACLE

    public static final java.lang.String ORACLE

### OLITE

    public static final java.lang.String OLITE

### SQL92

    public static final java.lang.String SQL92

### JAVA

    public static final java.lang.String JAVA

### PV_IMPL_CREATE_METHODNAME

    public static final java.lang.String PV_IMPL_CREATE_METHODNAME

### XML_CONTEXT

    public static final java.lang.String XML_CONTEXT

### PN_JBO_JDBC_TRACE

    public static final java.lang.String PN_JBO_JDBC_TRACE

### JDBC_MARKER

    public static final java.lang.String JDBC_MARKER

### DYNAMIC_PKG_NAME

    public static final java.lang.String DYNAMIC_PKG_NAME

### MOM_CONTEXT_FACTORY

    public static final java.lang.String MOM_CONTEXT_FACTORY

### MOM_CONTEXT_FACTORY_DEFAULT

    public static final java.lang.String MOM_CONTEXT_FACTORY_DEFAULT

### MOM_INITIAL_CONTEXT

    public static final java.lang.String MOM_INITIAL_CONTEXT

### MOM_INITIAL_CONTEXT_DEFAULT

    public static final java.lang.String MOM_INITIAL_CONTEXT_DEFAULT

### IS_LAZY_LOADING_TRUE

    public static final java.lang.String IS_LAZY_LOADING_TRUE

### GLOBAL_SUBSTITUTION

    public static final java.lang.String GLOBAL_SUBSTITUTION

### JBO_PROJECT

    public static final java.lang.String JBO_PROJECT

  global substitution project name

### SHARED_DATA_HANDLE

    public static final java.lang.String SHARED_DATA_HANDLE

  create Shared data handle?

### HANDLE_NAME

    public static final java.lang.String HANDLE_NAME

### USE_DEFINE_COLUMN_LENGTH

    public static final java.lang.String USE_DEFINE_COLUMN_LENGTH

### ENV_EJB_TRANSACTION_TIMEOUT

    public static final java.lang.String ENV_EJB_TRANSACTION_TIMEOUT

### ENV_EJB_TRANSACTION_TIMEOUT_DEFAULT

    public static final java.lang.String ENV_EJB_TRANSACTION_TIMEOUT_DEFAULT

### TEMPORARY_FILES_HOME

    public static final java.lang.String TEMPORARY_FILES_HOME

### INTERNAL_CONNECTION_PARAMS

    public static final java.lang.String INTERNAL_CONNECTION_PARAMS

### ENV_EJB_TXN_TYPE

    public static final java.lang.String ENV_EJB_TXN_TYPE

### EJB_TXN_TYPE_GLOBAL

    public static final java.lang.String EJB_TXN_TYPE_GLOBAL

### EJB_TXN_TYPE_LOCAL

    public static final java.lang.String EJB_TXN_TYPE_LOCAL

### ENV_EJB_TXN_TYPE_DEFAULT

    public static final java.lang.String ENV_EJB_TXN_TYPE_DEFAULT

### PERSIST_MGR_ORACLE

    public static final java.lang.String PERSIST_MGR_ORACLE

### PERSIST_MGR_NONE

    public static final java.lang.String PERSIST_MGR_NONE

### ENV_SESSION_CLASS

    public static final java.lang.String ENV_SESSION_CLASS

### ENV_DBTRANSACTION_FACTORY_CLASS

    public static final java.lang.String ENV_DBTRANSACTION_FACTORY_CLASS

### ENV_JBO_SCHEMA

    public static final java.lang.String ENV_JBO_SCHEMA

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD